Home | All Classes | Grouped Classes | Index | Search

# Class CL_Thread

Thread Class More...

Derived from: none
Derived by: none
Group: Core (System)

#include <ClanLib/core.h>

Construction:

CL_Thread | Create a thread.
is_initialized |

Attributes:

get_current_id | Returns the thread ID of the calling thread.
get_thread_id | Returns the thread ID of this thread.

Operations:

operator = | Copy assignement operator.
start | Starts the thread.
terminate | Terminate the thread. (use with caution under win98)
wait | Wait until the thread finishes its execution.
set_priority | Set the thread priority.

Detailed description:

!group=Core/System! !header=core.h!
Questions or comments, write to the ClanLib mailing list.